Index: cpukit/libcsupport/include/sys/ioccom.h
===================================================================
--- cpukit/libcsupport/include/sys/ioccom.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libcsupport/include/sys/ioccom.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -89,5 +89,5 @@
 #ifndef _KERNEL
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #ifndef __ioctl_command_defined
Index: cpukit/libnetworking/arpa/inet.h
===================================================================
--- cpukit/libnetworking/arpa/inet.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/arpa/inet.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -65,5 +65,5 @@
 /* External definitions for functions in inet(3). */
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/libnetworking/arpa/nameser.h
===================================================================
--- cpukit/libnetworking/arpa/nameser.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/arpa/nameser.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -64,5 +64,5 @@
 
 #include <sys/types.h>
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/ifaddrs.h
===================================================================
--- cpukit/libnetworking/ifaddrs.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/ifaddrs.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -47,5 +47,5 @@
 #endif
  
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 __BEGIN_DECLS
Index: cpukit/libnetworking/libc/gethostbydns.c
===================================================================
--- cpukit/libnetworking/libc/gethostbydns.c	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/libc/gethostbydns.c	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -58,5 +58,5 @@
 #endif
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/getifaddrs.c
===================================================================
--- cpukit/libnetworking/libc/getifaddrs.c	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/libc/getifaddrs.c	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -34,5 +34,5 @@
 #endif
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/if_indextoname.c
===================================================================
--- cpukit/libnetworking/libc/if_indextoname.c	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/libc/if_indextoname.c	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -30,5 +30,5 @@
 #endif
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/if_nameindex.c
===================================================================
--- cpukit/libnetworking/libc/if_nameindex.c	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/libc/if_nameindex.c	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -30,5 +30,5 @@
 #endif
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/res_stubs.c
===================================================================
--- cpukit/libnetworking/libc/res_stubs.c	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/libc/res_stubs.c	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -44,5 +44,5 @@
 
 #include <sys/types.h>
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 __weak_reference(__inet_addr, inet_addr);
Index: cpukit/libnetworking/machine/in_cksum.h
===================================================================
--- cpukit/libnetworking/machine/in_cksum.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/machine/in_cksum.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -40,5 +40,5 @@
 #define	_MACHINE_IN_CKSUM_H_	1
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <netinet/ip.h> /* struct ip */
 
Index: cpukit/libnetworking/net/ethernet.h
===================================================================
--- cpukit/libnetworking/net/ethernet.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/net/ethernet.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -370,5 +370,5 @@
 #else /* _KERNEL */
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/net/if.h
===================================================================
--- cpukit/libnetworking/net/if.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/net/if.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -38,5 +38,5 @@
 #define	_NET_IF_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #if defined(__rtems__)
Index: cpukit/libnetworking/net/if_dl.h
===================================================================
--- cpukit/libnetworking/net/if_dl.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/net/if_dl.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -75,5 +75,5 @@
 #ifndef _KERNEL
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 __BEGIN_DECLS
Index: cpukit/libnetworking/netdb.h
===================================================================
--- cpukit/libnetworking/netdb.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/netdb.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -66,5 +66,5 @@
 #define _NETDB_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/libnetworking/netinet/ip.h
===================================================================
--- cpukit/libnetworking/netinet/ip.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/netinet/ip.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -38,5 +38,5 @@
 #define _NETINET_IP_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/netinet/tcp.h
===================================================================
--- cpukit/libnetworking/netinet/tcp.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/netinet/tcp.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -38,5 +38,5 @@
 #define _NETINET_TCP_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #if __BSD_VISIBLE
Index: cpukit/libnetworking/netinet/tcp_debug.c
===================================================================
--- cpukit/libnetworking/netinet/tcp_debug.c	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/netinet/tcp_debug.c	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -35,5 +35,5 @@
 #endif
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include "opt_inet.h"
 #include "opt_tcpdebug.h"
Index: cpukit/libnetworking/resolv.h
===================================================================
--- cpukit/libnetworking/resolv.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/resolv.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -60,5 +60,5 @@
 #include <sys/param.h>
 #include <sys/types.h>
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <stdio.h>
 
Index: cpukit/libnetworking/rtems/rtems_bsdnet_internal.h
===================================================================
--- cpukit/libnetworking/rtems/rtems_bsdnet_internal.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/rtems/rtems_bsdnet_internal.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -37,5 +37,5 @@
 #include <machine/types.h>
 #include <machine/param.h>
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #include <sys/time.h>
Index: cpukit/libnetworking/sys/libkern.h
===================================================================
--- cpukit/libnetworking/sys/libkern.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/libkern.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -38,5 +38,5 @@
 #define	_SYS_LIBKERN_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <sys/types.h>
 
Index: cpukit/libnetworking/sys/mount.h
===================================================================
--- cpukit/libnetworking/sys/mount.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/mount.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -117,5 +117,5 @@
 #else /* !_KERNEL */
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #endif /* _KERNEL */
Index: cpukit/libnetworking/sys/poll.h
===================================================================
--- cpukit/libnetworking/sys/poll.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/poll.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -32,5 +32,5 @@
 #define	_SYS_POLL_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /*
Index: cpukit/libnetworking/sys/socket.h
===================================================================
--- cpukit/libnetworking/sys/socket.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/socket.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -38,5 +38,5 @@
 #define	_SYS_SOCKET_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/libnetworking/sys/sysctl.h
===================================================================
--- cpukit/libnetworking/sys/sysctl.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/sysctl.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -631,5 +631,5 @@
 
 #else	/* !_KERNEL */
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 __BEGIN_DECLS
Index: cpukit/libnetworking/sys/syslog.h
===================================================================
--- cpukit/libnetworking/sys/syslog.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/syslog.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -179,5 +179,5 @@
 #else /* not _KERNEL */
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <stdarg.h>
 
Index: cpukit/libnetworking/sys/systm.h
===================================================================
--- cpukit/libnetworking/sys/systm.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/systm.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -45,4 +45,8 @@
 #include <rtems/rtems_bsdnet_internal.h> /* for __BSD_VA_LIST__ */
 #include <machine/cpufunc.h>
+
+#if !defined(__dead2)
+#define __dead2         __attribute__((__noreturn__))
+#endif
 
 extern int securelevel;		/* system security level (see init(8)) */
Index: cpukit/libnetworking/sys/uio.h
===================================================================
--- cpukit/libnetworking/sys/uio.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/uio.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -38,5 +38,5 @@
 #define	_SYS_UIO_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <sys/types.h>
 
Index: cpukit/libnetworking/sys/un.h
===================================================================
--- cpukit/libnetworking/sys/un.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/libnetworking/sys/un.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -38,5 +38,5 @@
 #define _SYS_UN_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <rtems/bsdnet/_types.h>
 
Index: cpukit/librpc/include/rpc/auth.h
===================================================================
--- cpukit/librpc/include/rpc/auth.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/auth.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -44,5 +44,5 @@
 #ifndef _RPC_AUTH_H
 #define _RPC_AUTH_H
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <sys/socket.h>
 
Index: cpukit/librpc/include/rpc/auth_unix.h
===================================================================
--- cpukit/librpc/include/rpc/auth_unix.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/auth_unix.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -47,5 +47,5 @@
 #ifndef _RPC_AUTH_UNIX_H
 #define _RPC_AUTH_UNIX_H
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /* The machine name is part of a credential; it may not exceed 255 bytes */
Index: cpukit/librpc/include/rpc/clnt.h
===================================================================
--- cpukit/librpc/include/rpc/clnt.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/clnt.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -65,5 +65,5 @@
 #define _RPC_CLNT_H_
 #include <rpc/clnt_stat.h>
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 #include <sys/un.h>
 
Index: cpukit/librpc/include/rpc/clnt_soc.h
===================================================================
--- cpukit/librpc/include/rpc/clnt_soc.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/clnt_soc.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -48,5 +48,5 @@
  */
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #define UDPMSGSIZE      8800    /* rpc imposed limit on udp msg size */  
Index: cpukit/librpc/include/rpc/pmap_clnt.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_clnt.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/pmap_clnt.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -63,5 +63,5 @@
 #ifndef _RPC_PMAPCLNT_H
 #define _RPC_PMAPCLNT_H
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 __BEGIN_DECLS
Index: cpukit/librpc/include/rpc/pmap_prot.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_prot.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/pmap_prot.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -71,5 +71,5 @@
 #ifndef _RPC_PMAPPROT_H
 #define _RPC_PMAPPROT_H
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #define PMAPPORT		((u_short)111)
Index: cpukit/librpc/include/rpc/pmap_rmt.h
===================================================================
--- cpukit/librpc/include/rpc/pmap_rmt.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/pmap_rmt.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -41,5 +41,5 @@
 #ifndef _RPC_PMAPRMT_H
 #define _RPC_PMAPRMT_H
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 struct rmtcallargs {
Index: cpukit/librpc/include/rpc/rpc_com.h
===================================================================
--- cpukit/librpc/include/rpc/rpc_com.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/rpc_com.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -47,5 +47,5 @@
 #define	_RPC_RPCCOM_H
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /* #pragma ident	"@(#)rpc_com.h	1.11	93/07/05 SMI" */
Index: cpukit/librpc/include/rpc/rpcent.h
===================================================================
--- cpukit/librpc/include/rpc/rpcent.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/rpcent.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -43,5 +43,5 @@
 #define _RPC_RPCENT_H
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /*	#pragma ident "@(#)rpcent.h   1.13    94/04/25 SMI"	*/
Index: cpukit/librpc/include/rpc/svc.h
===================================================================
--- cpukit/librpc/include/rpc/svc.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/svc.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -40,5 +40,5 @@
 #ifndef _RPC_SVC_H
 #define _RPC_SVC_H
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /*
Index: cpukit/librpc/include/rpc/svc_soc.h
===================================================================
--- cpukit/librpc/include/rpc/svc_soc.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/svc_soc.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -40,5 +40,5 @@
 #ifndef _RPC_SVC_SOC_H
 #define _RPC_SVC_SOC_H
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 /* #pragma ident   "@(#)svc_soc.h  1.11    94/04/25 SMI" */
Index: cpukit/librpc/include/rpc/xdr.h
===================================================================
--- cpukit/librpc/include/rpc/xdr.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpc/xdr.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -43,5 +43,5 @@
 #define _RPC_XDR_H
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #include <rpc/types.h>
Index: cpukit/librpc/include/rpcsvc/ypclnt.h
===================================================================
--- cpukit/librpc/include/rpcsvc/ypclnt.h	(revision 372a022be8c3a38db677c6638e2ed6afd6a25820)
+++ cpukit/librpc/include/rpcsvc/ypclnt.h	(revision ee613aa252e5ee3c899f5b51e8a75d664423ba97)
@@ -33,5 +33,5 @@
 #define _RPCSVC_YPCLNT_H_
 
-#include <rtems/bsd/sys/cdefs.h>
+#include <sys/cdefs.h>
 
 #define YPERR_BADARGS	1		/* args to function are bad */
